Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
bugview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $t
| $locale = new eZLocale( $Language )
| $bug = new eZBug( $BugID )
| $module = $bug->module()
if( $module==false) | $pathArray = $module->path()
| $tmp = $bug->name()
| $bug_reporter = $bug->user()
if( $bug_reporter) | else
| $date =& $bug->created()
| $pri =& $bug->priority()
| $status =& $bug->status()
| $category =& $bug->category()
| $images = $bug->images()
| $files = $bug->files()
| $bugLog = new eZBugLog()
| $logList = $bugLog->getByBug( $bug )

## Variable Documentation

## ◆ $bug

$bug = new eZBug( $BugID )

Definition at line 69 of file bugview.php.

## ◆ $bug_reporter

$bug_reporter = $bug->user()

Definition at line 102 of file bugview.php.

## ◆ $bugLog

$bugLog = new eZBugLog()

Definition at line 236 of file bugview.php.

## ◆ $category

$category =& $bug->category()

Definition at line 121 of file bugview.php.

## ◆ $date

$date =& $bug->created()

Definition at line 115 of file bugview.php.

## ◆ $files

$files = $bug->files()

Definition at line 204 of file bugview.php.

## ◆ $images

$images = $bug->images()

Definition at line 171 of file bugview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file bugview.php.

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 36 of file bugview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 68 of file bugview.php.

## ◆ $logList

$logList = $bugLog->getByBug( $bug )

Definition at line 237 of file bugview.php.

## ◆ $module

$module = $bug->module()

Definition at line 72 of file bugview.php.

## ◆ $pathArray

if ($module==false) $pathArray = $module->path()

Definition at line 79 of file bugview.php.

## ◆ $pri

$pri =& $bug->priority()

Definition at line 118 of file bugview.php.

## ◆ $status

$status =& $bug->status()

Definition at line 119 of file bugview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/user/" . $ini->variable( "eZBugMain", "TemplateDir" ),
"kernel/ezbug/user/intl", $Language, "bugview.php" )
$Language
$Language
Definition: bugview.php:36
$ini
$ini
Definition: bugview.php:34
eZTemplate
Definition: eztemplate.php:107

Definition at line 45 of file bugview.php.

## ◆ $tmp

$tmp = $bug->name()

Definition at line 99 of file bugview.php.

Referenced by eZForumMessage\cloneObject(), eZTextCodec\convertCodepage(), eZTextCodec\convertCodepageMapper(), eZTextCodec\convertCodepageRev(), eZTextCodec\convertCodepageToUnicode(), eZTextCodec\convertMBString(), eZTextCodec\convertString(), eZTextCodec\convertUnicodeToCodepage(), eZTextCodec\convertUnicodeToUTF8(), eZTextCodec\convertUTF8ToUnicode(), eZURI\encodeIRI(), eZPersistentObject\escapeArray(), eZCodeMapper\generateSimpleMappingTable(), eZTextTool\lineSplit(), newArticle(), newOrders(), eZTemplate\parse(), eZPersistentObject\reorderObject(), eZTemplate\setAllStrings(), and eZShuffleTranslator\shuffleText().

## ◆ else

if (count($files) > 0) else

Initial value:
{
$t->set_var( "reporter_name_value", "Unknown" )
$t
$t
Definition: bugview.php:45

Definition at line 107 of file bugview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.